## cong-editor-area-flow-holder

cong-editor-area-flow-holder —

## Synopsis

    #define     CONG_EDITOR_AREA_FLOW_HOLDER    (obj)
    #define     CONG_EDITOR_AREA_FLOW_HOLDER_CLASS(klass)
    #define     IS_CONG_EDITOR_AREA_FLOW_HOLDER (obj)
    GType       cong_editor_area_flow_holder_get_type
                                                (void);
    CongEditorArea* cong_editor_area_flow_holder_construct
                                                (CongEditorAreaFlowHolder *area_flow_holder,
                                                 CongEditorWidget3 *editor_widget);
    CongEditorChildPolicy* cong_editor_area_flow_holder_insert_areas_for_node
                                                (CongEditorAreaFlowHolder *area_flow_holder,
                                                 CongEditorNode *node);
    void        cong_editor_area_flow_holder_remove_areas_for_node
                                                (CongEditorAreaFlowHolder *area_flow_holder,
                                                 CongEditorNode *node);
    CongEditorAreaFlowHolder* cong_editor_area_flow_holder_manufacture
                                                (CongEditorWidget3 *editor_widget);

## Description

## Details

### CONG_EDITOR_AREA_FLOW_HOLDER()

    #define CONG_EDITOR_AREA_FLOW_HOLDER(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_FLOW_HOLDER_TYPE, CongEditorAreaFlowHolder)

`obj` : |

### CONG_EDITOR_AREA_FLOW_HOLDER_CLASS()

    #define CONG_EDITOR_AREA_FLOW_HOLDER_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_FLOW_HOLDER_TYPE, CongEditorAreaFlowHolderClass)

`klass` : |

### IS_CONG_EDITOR_AREA_FLOW_HOLDER()

    #define IS_CONG_EDITOR_AREA_FLOW_HOLDER(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_FLOW_HOLDER_TYPE)

`obj` : |

### cong_editor_area_flow_holder_get_type ()

    GType       cong_editor_area_flow_holder_get_type
                                                (void);

Returns : |

### cong_editor_area_flow_holder_construct ()

    CongEditorArea* cong_editor_area_flow_holder_construct
                                                (CongEditorAreaFlowHolder *area_flow_holder,
                                                 CongEditorWidget3 *editor_widget);

TODO: Write me

`area_flow_holder` : |
`editor_widget` : |
Returns : |

### cong_editor_area_flow_holder_insert_areas_for_node ()

    CongEditorChildPolicy* cong_editor_area_flow_holder_insert_areas_for_node
                                                (CongEditorAreaFlowHolder *area_flow_holder,
                                                 CongEditorNode *node);

TODO: Write me

`area_flow_holder` : |
`node` : |
Returns : |

### cong_editor_area_flow_holder_remove_areas_for_node ()

    void        cong_editor_area_flow_holder_remove_areas_for_node
                                                (CongEditorAreaFlowHolder *area_flow_holder,
                                                 CongEditorNode *node);

TODO: Write me

`area_flow_holder` : |
`node` : |

### cong_editor_area_flow_holder_manufacture ()

    CongEditorAreaFlowHolder* cong_editor_area_flow_holder_manufacture
                                                (CongEditorWidget3 *editor_widget);

TODO: Write me

`editor_widget` : |
Returns : |